
From: Jan Dittmer <jdittmer@ppp0.net>

module_param conversion for SCSI cdrom driver

Signed-off-by: Jan Dittmer <jdittmer@ppp0.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/scsi/sr.c       |    3 ---
 25-akpm/drivers/scsi/sr_ioctl.c |    3 +++
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/scsi/sr.c~sr-module_param-conversion drivers/scsi/sr.c
--- 25/drivers/scsi/sr.c~sr-module_param-conversion	2004-11-13 17:56:58.124606960 -0800
+++ 25-akpm/drivers/scsi/sr.c	2004-11-13 17:56:58.136605136 -0800
@@ -59,9 +59,6 @@
 #include "sr.h"
 
 
-MODULE_PARM(xa_test, "i");	/* see sr_ioctl.c */
-
-
 #define SR_DISKS	256
 
 #define MAX_RETRIES	3
diff -puN drivers/scsi/sr_ioctl.c~sr-module_param-conversion drivers/scsi/sr_ioctl.c
--- 25/drivers/scsi/sr_ioctl.c~sr-module_param-conversion	2004-11-13 17:56:58.125606808 -0800
+++ 25-akpm/drivers/scsi/sr_ioctl.c	2004-11-13 17:56:58.137604984 -0800
@@ -29,6 +29,9 @@
  * It is off by default and can be turned on with this module parameter */
 static int xa_test = 0;
 
+module_param(xa_test, int, S_IRUGO | S_IWUSR);
+
+
 #define IOCTL_RETRIES 3
 
 /* ATAPI drives don't have a SCMD_PLAYAUDIO_TI command.  When these drives
_
